LinuxTaRT(1)

NAME

LinuxTaRT - generates email signatures

SYNTAX

tart [options]

DESCRIPTION

TaRT generates email signatures based on a variety of rules and settings. It can make use of a template to allow the user to produce 100% customized signatures.

OPTIONS

-a, --add
    Prompt for a new tagline and enter it into the tagline database. (requires write permission on database file).

-d, --display
    Display current signature and exit.

-h, --help
    Display a help message and exit.

-k, --kill
    Terminate TaRT in daemon mode.

-p, --proc
    Display current status and PID (if applicable).

-l, --license
    Display software license.

-s, --setup
    Run built-in configuration tool.

--daemon <seconds>
    Start in daemon momde and wait <seconds> seconds between updates.

--template <filename>
    Run TaRT with the custom file specified here.

--config <filename>
    Run TaRT with the config file specified here.

The following options may be set in the configuration file. The command line parameters will override other settings.

+/-c
    Enable/disable signature centering. (disabled)

+/-cust
    Build signature based on template. (enabled)

+/-n
    Enable/disable date in signature. (enabled)

+/-q
    Enable/disable quiet mode. (disabled)

+/-sd
    Enable/disable special dates. (enabled)

+/-v
    Enable/disable TaRT version information in signature. (enabled)

FILES

~/.tartrc
    Configuration file, the location and name of the following files can be set here.

/etc/tart.tags
    Tagline database. Contains taglines, one per line.

~/.signature
    File where signature is written.

~/.tart-tustom
    Signature template.

~/.tartdates
    List of special dates.

ENVIRONMENT VARIABLES

HOME
    Specifies the users home directory

EXAMPLES

To run TaRT using default or stored settings:

tart

To run TaRT quietly:

tart +q

To run TaRT as a daemon and generate a new signature every 5 minutes:

tart --daemon 300

VERSION

This man page was written for LinuxTaRT version 3.08

AUTHORS

Mark Veinot <mveinot@gmail.com>

SEE ALSO

tartrc(5) tartdates(5) tart-custom(5)